* {
    margin: 0;
    padding: 0;
}

#canvas {
    min-width: 100%;
    min-height: 300px;
    margin: 0 auto;
    position: relative;
    border: dotted;
    border-width: 1px;
    float: left;
}

/*virtual joystick*/
.joystick {
    position: absolute;
    bottom: 50px;
    left: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.button {
    background: gray;
    border: none;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    margin: 5px;
    cursor: pointer;
    outline: none;
}

.button:active {
    background: darkgray;
}